Remove unsold keys
curl --request DELETE \
--url https://api.fungies.io/v0/offers/{offerId}/keys/removeAllUnsold \
--header 'x-fngs-public-key: <api-key>' \
--header 'x-fngs-secret-key: <api-key>'import requests
url = "https://api.fungies.io/v0/offers/{offerId}/keys/removeAllUnsold"
headers = {
"x-fngs-public-key": "<api-key>",
"x-fngs-secret-key": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-fngs-public-key': '<api-key>', 'x-fngs-secret-key': '<api-key>'}
};
fetch('https://api.fungies.io/v0/offers/{offerId}/keys/removeAllUnsold', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"success": true
}
}{
"status": "error",
"error": {
"message": "Sample error message"
}
}offers
Remove unsold keys
Remove all unsold keys from an offer.
This action permanently deletes keys that have not been assigned to customers. Sold keys are preserved for record-keeping.
DELETE
/
v0
/
offers
/
{offerId}
/
keys
/
removeAllUnsold
Remove unsold keys
Path Parameters
DELETE /v0/offers/:offerId/keys/removeAllUnsold Parameter
⌘I